Issues with Internet Explorer and OAuth

In OptinMonster v2, we have vastly improved our provider authentication and integration methods for speed and (more importantly) security. When available, we now use the OAuth 2.0 standard for authenticating to your email service provider through the HTML5 postMessage API.

Unfortunately, Internet Explorer does not implement this standard properly for OAuth authentication windows. Because the communication channels fail in Internet Explorer, we do not have a way to send or receive messages from the windows to communicate the necessary access tokens needed to run API calls to your account.

While we plan to explore different methods to implement this successfully in Internet Explorer, at this time we recommend that you use Google Chrome or Mozilla Firefox to connect to those providers that require OAuth authentication. Be sure to save your changes before connecting on another browser!